#container_div {
  position: absolute;
  right: 50%;
  top: 48.5%;
  transform: translate(50%,-50%);
}

#palette_div {
  position: absolute;
  width: 100%;
  height: 20%; 
  background: #E5E5E5;
  box-shadow: 0 0 2px 1px rgba(0,0,0,.4);
}

#slider_track {
  position: relative;
  width: 94%;
  margin: auto;
  height: 4%;
  top: 18%;
  border-radius: 100px;
  box-shadow: inset 0 0 2px 1px rgba(0,0,0,.4);
}

#slider {
  position: absolute;
  width: 5%;
  height: 15%;
  top: 12%;
  left: 2%;
  border-radius: 100px;
  background: #E5E5E5;
  box-shadow: 0 0 2px 1px rgba(0,0,0,.4);
  cursor: pointer;
} 

#slider_icon {
  position: absolute;
  width: 50%;
  right: 50%;
  top: 50%;
  transform: translate(50%,-50%);
  user-select: none;  /* prevents browser from highlighting the icon when sliding */
}

/* a transparent surface that prevents browser from grabbing the icon when sliding */
#slider_mask {
  position: relative;
  width: 100%;
  height: 100%;
  opacity: 0;
}

.color {
  position: relative; 
  float: left; 
  height: 47%;
  width: 9%;
  top: 36%;
  margin-left: 1.9%;
  border-radius: 6px;
  box-shadow: inset 0 0 2px 1px rgba(0,0,0,.6);
  cursor: pointer;
}
.color:hover {
  box-shadow: inset 0 0 2px 1px rgba(0,0,0,.6), inset 0 0 20px 8px rgba(0,0,0,.25);
}
#black:hover {
  box-shadow: inset 0 0 2px 1px rgba(0,0,0,.6), inset 0 0 40px 15px rgba(255,255,255,.2);
}

#canvas_div {
  position: absolute;
  bottom: 0px;
  width: 100%;
  height: 78%;
  box-shadow: 0 0 2px 1px rgba(0,0,0,.35);
}

#footer_div {
  position: absolute;
  bottom: -6%;
  width: 100%;
  height: 4%;
}

.buttons {
  position: absolute;
  width: 8%;
  height: 100%;
  border-radius: 100px;
  box-shadow: 0 0 2px 1px rgba(0,0,0,.3);
  background: #E5E5E5;
}

.buttons:hover {
  background: #E0E0E0;
}

.buttons:hover > .footer_icons {
  opacity: 1;
}

#clear {
  left: 0;
}

#save {
  right: 0;
}

.footer_icons {
  position: absolute;
  width: 23%;
  right: 50%;
  top: 51%;
  transform: translate(50%,-50%);
  opacity: .65;
  cursor: pointer;
}

#save img {
  top: 50%;
  width: 27%;
}